# CbcLink Class Reference

Define Special Linked Ordered Sets. More...

`#include <CbcBranchLink.hpp>`

Inheritance diagram for CbcLink:
[legend]
Collaboration diagram for CbcLink:
[legend]

List of all members.

## Public Member Functions
| CbcLink ()
| CbcLink (CbcModel *model, int numberMembers, int numberLinks, int first, const double *weights, int setNumber)
| Useful constructor - A valid solution is if all variables are zero apart from k*numberLink to (k+1)*numberLink-1 where k is 0 through numberInSet-1.
| CbcLink (CbcModel *model, int numberMembers, int numberLinks, int typeSOS, const int *which, const double *weights, int setNumber)
| Useful constructor - A valid solution is if all variables are zero apart from k*numberLink to (k+1)*numberLink-1 where k is 0 through numberInSet-1.
| CbcLink (const CbcLink &)
virtual CbcObject * | clone () const
| Clone.
CbcLink & | operator= (const CbcLink &rhs)
| ~CbcLink ()
virtual double | infeasibility (int &preferredWay) const
| Infeasibility - large is 0.5.
virtual void | feasibleRegion ()
| This looks at solution and sets bounds to contain solution.
virtual CbcBranchingObject * | createCbcBranch (OsiSolverInterface *solver, const OsiBranchingInformation *info, int way)
| Creates a branching object.
int | numberMembers () const
| Number of members.
int | numberLinks () const
| Number of links for each member.
const int * | which () const
| Which variables.
const double * | weights () const
| Array of weights.
## Private Attributes
double * | weights_
| data
int | numberMembers_
| Number of members.
int | numberLinks_
| Number of links.
int * | which_
| Members.
int | sosType_
| Type 1 or 2.

## Detailed Description

Define Special Linked Ordered Sets.

Definition at line 16 of file CbcBranchLink.hpp.

## Constructor & Destructor Documentation

CbcLink::CbcLink | ( |  | ) |

CbcLink::CbcLink | ( | CbcModel * | model,
|  | int | numberMembers,
|  | int | numberLinks,
|  | int | first,
|  | const double * | weights,
|  | int | setNumber |
| ) |  |  |

Useful constructor - A valid solution is if all variables are zero apart from k*numberLink to (k+1)*numberLink-1 where k is 0 through numberInSet-1.

The length of weights array is numberInSet. For this constructor the variables in matrix are the numberInSet*numberLink starting at first. If weights null then 0,1,2..

CbcLink::CbcLink | ( | CbcModel * | model,
|  | int | numberMembers,
|  | int | numberLinks,
|  | int | typeSOS,
|  | const int * | which,
|  | const double * | weights,
|  | int | setNumber |
| ) |  |  |

Useful constructor - A valid solution is if all variables are zero apart from k*numberLink to (k+1)*numberLink-1 where k is 0 through numberInSet-1.

The length of weights array is numberInSet. For this constructor the variables are given by list - grouped. If weights null then 0,1,2..

CbcLink::CbcLink | ( | const CbcLink & |  | ) |

CbcLink::~CbcLink | ( |  | ) |

## Member Function Documentation

virtual CbcObject* CbcLink::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcObject.

CbcLink& CbcLink::operator= | ( | const CbcLink & | rhs | ) |

Reimplemented from CbcObject.

virtual double CbcLink::infeasibility | ( | int & | preferredWay | ) | const`[virtual]`

Infeasibility - large is 0.5.

Reimplemented from CbcObject.

virtual void CbcLink::feasibleRegion | ( |  | ) | `[virtual]`

This looks at solution and sets bounds to contain solution.

Implements CbcObject.

virtual CbcBranchingObject* CbcLink::createCbcBranch | ( | OsiSolverInterface * | solver,
|  | const OsiBranchingInformation * | info,
|  | int | way |
| ) |  |  | `[virtual]`

Creates a branching object.

Reimplemented from CbcObject.

int CbcLink::numberMembers | ( |  | ) | const`[inline]`

Number of members.

Definition at line 63 of file CbcBranchLink.hpp.

int CbcLink::numberLinks | ( |  | ) | const`[inline]`

Number of links for each member.

Definition at line 67 of file CbcBranchLink.hpp.

const int* CbcLink::which | ( |  | ) | const`[inline]`

Which variables.

Definition at line 71 of file CbcBranchLink.hpp.

const double* CbcLink::weights | ( |  | ) | const`[inline]`

Array of weights.

Definition at line 75 of file CbcBranchLink.hpp.

## Member Data Documentation

double* CbcLink::weights_`[private]`

data

Weights

Definition at line 82 of file CbcBranchLink.hpp.

int CbcLink::numberMembers_`[private]`

Number of members.

Definition at line 85 of file CbcBranchLink.hpp.

int CbcLink::numberLinks_`[private]`

Number of links.

Definition at line 87 of file CbcBranchLink.hpp.

int* CbcLink::which_`[private]`

Members.

Definition at line 89 of file CbcBranchLink.hpp.

int CbcLink::sosType_`[private]`

Type 1 or 2.

Definition at line 91 of file CbcBranchLink.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.0/Cbc/examples/CbcBranchLink.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines